## cdda2wav 0.95b3-1

=== debian/changelog ===
cdda2wav (1:0.95b3-1) unstable frozen; urgency=low
  * New upstream source
  * Author reports this Fixes bug #21979 (a nasty core dump) and other 
    not-yet-reported-to-Debian bugs.  Should work better anyway..

 -- Erik Andersen <andersee@debian.org>  Mon, 22 Jun 1998 19:45:49 -0600

cdda2wav (1:0.95a17-1) unstable frozen; urgency=low
  * New upstream source fixes bug #12354 
  * Fixed bug #14843
  * Updated the debian/rules file

 -- Erik Andersen <andersee@debian.org>  Thu,  2 Apr 1998 01:06:34 -0700

cdda2wav (1:0.8-3) unstable; urgency=low

  * New maintainer 
  * Converted to using debhelper

 -- Erik Andersen <andersee@debian.org>  Wed, 29 Oct 1997 23:17:35 -0700

cdda2wav (1:0.8-2) unstable; urgency=low

  * Recompiled with libc6.

 -- Christian Schwarz <schwarz@debian.org>  Sun, 13 Jul 1997 17:21:36 +0200

cdda2wav (1:0.8-1) frozen unstable; urgency=low

  * Used epochs in version number to allow automatic upgrades.

 -- Christian Schwarz <schwarz@debian.org>  Thu, 17 Apr 1997 15:42:11 +0200

cdda2wav (0.8-1) unstable; urgency=low

  * New upstream release.
  * Upgraded to packaging standard 2.1.3.0

 -- Christian Schwarz <schwarz@debian.org>  Thu, 27 Mar 1997 20:05:39 +0100

cdda2wav (0.71-1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Mon, 6 Jan 1997 20:54:16 +0100

Local variables:
mode: debian-changelog
End:
