=== debian/control ===
Source: cdda2wav
Section: sound
Priority: extra
Maintainer: Erik Andersen  <andersee@debian.org>
Standards-Version: 2.3.0.0

Package: cdda2wav
Architecture: any
Depends: ${shlibs:Depends}
Description: Creates WAV files from audio cd's
 cdda2wav stands for CDDA to WAV (where CDDA stands for compact disc digital 
 audio and WAV is the sound sample format introduced by Windows 3.1). It
 allows copying CDDA audio data from the cdrom drive to a file in WAV or 
 sun audio format.  Audio sampling does not need to be done in realtime, 
 since data is read when needed.
